VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Content::Library::Item::File::Info Class Reference
Inheritance diagram for Com::Vmware::Content::Library::Item::File::Info:

## Avaliable Methods
public method | set_version ()
public method | get_cached ()
public method | set_name ()
public method | get_checksum_info ()
public method | set_size ()
public method | set_checksum_info ()
public method | set_cached ()
public method | get_version ()
public method | new ()
public method | get_name ()
public method | get_size ()

## Detailed Description

The `Com::Vmware::Content::Library::Item::File::Info` class provides information about a file in Content Library Service storage.

A file is an actual stored object for a library item. An item will have zero files initially, but one or more can be uploaded to the item.

## Member Function Documentation

public method Com::Vmware::Content::Library::Item::File::Info::get_cached | ( |  | ) |

Gets the value of 'cached' property.

Return values

  cached | - The current value of the field. Indicates whether the file is on disk or not. boolean#

Code:
click to view
# Number of lines of code in get_cached: 4
sub get_cached {
my ($self, %args) = @_;
return $self->{'cached'};
}

public method Com::Vmware::Content::Library::Item::File::Info::get_checksum_info | ( |  | ) |

Gets the value of 'checksum_info' property.

Return values

  checksum_info | - The current value of the field. A checksum for validating the content of the file.

This value can be used to verify that a transfer was completed without errors.

Optional#

Code:
click to view
# Number of lines of code in get_checksum_info: 4
sub get_checksum_info {
my ($self, %args) = @_;
return $self->{'checksum_info'};
}

public method Com::Vmware::Content::Library::Item::File::Info::get_name | ( |  | ) |

Gets the value of 'name' property.

Return values

  name | - The current value of the field. The name of the file.

This value will be unique within the library item for each file. It cannot be an empty string.

String#

Code:
click to view
# Number of lines of code in get_name: 4
sub get_name {
my ($self, %args) = @_;
return $self->{'name'};
}

public method Com::Vmware::Content::Library::Item::File::Info::get_size | ( |  | ) |

Gets the value of 'size' property.

Return values

  size | - The current value of the field. The file size, in bytes. The file size is the storage used and not the uploaded or provisioned size. For example, when uploading a disk to a datastore, the amount of storage that the disk consumes may be different from the disk file size. When the file is not cached, the size is 0. long#

Code:
click to view
# Number of lines of code in get_size: 4
sub get_size {
my ($self, %args) = @_;
return $self->{'size'};
}

public method Com::Vmware::Content::Library::Item::File::Info::get_version | ( |  | ) |

Gets the value of 'version' property.

Return values

  version | - The current value of the field. The version of this file; incremented when a new copy of the file is uploaded. String#

Code:
click to view
# Number of lines of code in get_version: 4
sub get_version {
my ($self, %args) = @_;
return $self->{'version'};
}

public method Com::Vmware::Content::Library::Item::File::Info::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Content::Library::Item::File::Info structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 24
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{checksum_info} = $args{'checksum_info'};
$self->{name} = $args{'name'};
$self->{size} = $args{'size'};
$self->{cached} = $args{'cached'};
$self->{version} = $args{'version'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Content::Library::Item::File::Info');
$self->set_binding_name('name' => 'com.vmware.content.library.item.file.info');
$self->set_binding_field('key' => 'checksum_info', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Content::Library::Item', 'type_name' => 'File::ChecksumInfo')));
$self->set_binding_field('key' => 'name', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'size', 'value' => new Com::Vmware::Vapi::Bindings::Type::LongType());
$self->set_binding_field('key' => 'cached', 'value' => new Com::Vmware::Vapi::Bindings::Type::BooleanType());
$self->set_binding_field('key' => 'version', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
bless $self, $class;
return $self;
}

public method Com::Vmware::Content::Library::Item::File::Info::set_cached | ( |  | ) |

Sets the given value for 'cached' property.

Parameters

  cached | - New value for the field. Indicates whether the file is on disk or not.

Code:
click to view
# Number of lines of code in set_cached: 5
sub set_cached {
my ($self, %args) = @_;
$self->{'cached'} = $args{'cached'};
return;
}

public method Com::Vmware::Content::Library::Item::File::Info::set_checksum_info | ( |  | ) |

Sets the given value for 'checksum_info' property.

Parameters

  checksum_info | - New value for the field. A checksum for validating the content of the file.

This value can be used to verify that a transfer was completed without errors.

Code:
click to view
# Number of lines of code in set_checksum_info: 5
sub set_checksum_info {
my ($self, %args) = @_;
$self->{'checksum_info'} = $args{'checksum_info'};
return;
}

public method Com::Vmware::Content::Library::Item::File::Info::set_name | ( |  | ) |

Sets the given value for 'name' property.

Parameters

  name | - New value for the field. The name of the file.

This value will be unique within the library item for each file. It cannot be an empty string.

Code:
click to view
# Number of lines of code in set_name: 5
sub set_name {
my ($self, %args) = @_;
$self->{'name'} = $args{'name'};
return;
}

public method Com::Vmware::Content::Library::Item::File::Info::set_size | ( |  | ) |

Sets the given value for 'size' property.

Parameters

  size | - New value for the field. The file size, in bytes. The file size is the storage used and not the uploaded or provisioned size. For example, when uploading a disk to a datastore, the amount of storage that the disk consumes may be different from the disk file size. When the file is not cached, the size is 0.

Code:
click to view
# Number of lines of code in set_size: 5
sub set_size {
my ($self, %args) = @_;
$self->{'size'} = $args{'size'};
return;
}

public method Com::Vmware::Content::Library::Item::File::Info::set_version | ( |  | ) |

Sets the given value for 'version' property.

Parameters

  version | - New value for the field. The version of this file; incremented when a new copy of the file is uploaded.

Code:
click to view
# Number of lines of code in set_version: 5
sub set_version {
my ($self, %args) = @_;
$self->{'version'} = $args{'version'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Content/Library/Item/File.pm